Subject: bug#30653: 25.3; crash inside redisplay_internal

From: "Peter F. Patel-Schneider" <[email-masked]>
Date: Wed, 28 Feb 2018 09:57:49 -0800

This bug may not be in emacs per se, but instead in X11 or in a driver and
some emacs redisplay action is triggering the bug.  My display hardware is
Intel Corporation UHD Graphics 620 (rev 07) and I'm running OpenGL version 3.0
Mesa 17.3.5.

There are a couple of reports of GPU hangs that appear to be related, including

https://bugs.freedesktop.org/show_bug.cgi?id=105135

peter

On 02/28/2018 09:36 AM, Eli Zaretskii wrote:
>> From: "Peter F. Patel-Schneider" <[email-masked]>
>> Date: Wed, 28 Feb 2018 08:47:04 -0800
>>
>>
>> I am experiencing multiple crashes from Emacs 25.3 on Fedora 27 with XFCE.
> It doesn't crash here (but I'm not on that system).
>
>> The crashes happen inside redisplay_internal and when scrolling a window.
>> The following recipe causes a crash.  The crash causes X to freeze and then
>> dumps me back in a login screen.
>>
>> emacs -Q -g 80x65
>> control-X control-F tt.text
>> control-V
>> control-P
>> control-shift-,
> What does this last key sequence do on your system?

Argh, I meant alt-shift-,  beginning of buffer.

>
>> The kernel log has the following information
>>
>>                                               
>> Stack trace of thread 2277:
>> #0  0x00007f1a35a6198b raise (libpthread.so.0)
>> #1  0x00000000004f1254 terminate_due_to_signal (emacs-25.3)
>> #2  0x000000000050abb3 emacs_abort (emacs-25.3)
>> #3  0x0000000000456002 redisplay_internal (emacs-25.3)
>> #4  0x0000000000457115 redisplay_preserve_echo_area (emacs-25.3)
>> #5  0x00000000005a2988 Fdelete_process (emacs-25.3)
>> #6  0x00000000005aa3e5 kill_buffer_processes (emacs-25.3)
>> #7  0x00000000004f1046 shut_down_emacs (emacs-25.3)
>> #8  0x00000000004c0cda x_connection_closed (emacs-25.3)
>> #9  0x00000000004c0e37 x_io_error_quitter (emacs-25.3)
>> #10 0x00007f1a3d70aede _XIOError (libX11.so.6)
>> #11 0x00007f1a3d70876d _XEventsQueued (libX11.so.6)
>> #12 0x00007f1a3d6fa2bd XPending (libX11.so.6)
>> #13 0x00007f1a3f763c2e gdk_event_source_prepare (libgdk-3.so.0)
>> #14 0x00007f1a3e0743f9 g_main_context_prepare (libglib-2.0.so.0)
>> #15 0x00007f1a3e074dcb g_main_context_iterate.isra.23 (libglib-2.0.so.0)
>> #16 0x00007f1a3e074f57 g_main_context_pending (libglib-2.0.so.0)
>> #17 0x00007f1a3fc23d1d gtk_events_pending (libgtk-3.so.0)
>> #18 0x00000000004c1707 XTread_socket (emacs-25.3)
>> #19 0x00000000004f8121 gobble_input (emacs-25.3)
>> #20 0x00000000004f8705 process_pending_signals (emacs-25.3)
>> #21 0x00000000005a783d wait_reading_process_output (emacs-25.3)
> This is not a crash in redisplay_internal, this is a crash due to GTK
> closing the connection to the X display.
>
>> See https://bugzilla.redhat.com/attachment.cgi?id=1400957 for more abrt
>> output.
> I get access denied if I try this URL.
Oops, my apologies.   You could try
https://bugzilla.redhat.com/show_bug.cgi?id=1549219